%LA2a.M displays body and leg diagram, lists leg angles at cmd prompt.
%This version (la2a) has been automated to generate leg angles and display (if desired).
% Input: (Mean Leg Angle, Intersection Distance), Opposite Corner coords (for scaling), PlotIO -030917 TM
% Output: Leg Angles
function th=la2a(ma_id,oppcorn,ps)
d(2)=ma_id(2);
th(2)=ma_id(1);
legbasex=[.045 0 -.045];
legbasey=[0 0 0];
leglength=.1;
pstyle='bgc';
th(2)=90-th(2);
d(1)=sqrt(0.045^2+d(2)^2-2*0.045*d(2)*cos(th(2)*pi/180));
d(3)=sqrt(0.045^2+d(2)^2-2*0.045*d(2)*cos(pi-th(2)*pi/180));
th(1)=acos((d(2)^2-0.045^2-d(1)^2)/(2*0.045*d(1)))*180/pi;
th(3)=acos((d(2)^2-0.045^2-d(3)^2)/(2*(-0.045)*d(3)))*180/pi;
if ps~=0
	%Display results
	legtopendx=leglength/2*cos(th*pi/180)+legbasex;
	legtopendy=leglength/2*sin(th*pi/180)+legbasey;
	legbotendx=-leglength/2*cos(th*pi/180)+legbasex;
	legbotendy=-leglength/2*sin(th*pi/180)+legbasey;
	pastintersectx=1.1*d.*cos(th*pi/180)+legbasex;
	pastintersecty=1.1*d.*sin(th*pi/180)+legbasey;
	figure, hold on
	plot(legbasex,legbasey,'o')
	plot(legtopendx,legtopendy,'o')
	plot(legbotendx,legbotendy,'o')
	plot([-.06 .06 .06 -.06 -.06],[-.01 -.01 .01 .01 -.01],'k')
	for i=1:3
        eval(['plot([legbotendx(' num2str(i) ') legtopendx(' num2str(i) ')],[legbotendy(' num2str(i) ') legtopendy(' num2str(i) ')],''' pstyle(i) ''')'])
        eval(['plot([legtopendx(' num2str(i) ') pastintersectx(' num2str(i) ')],[legtopendy(' num2str(i) ') pastintersecty(' num2str(i) ')],''' pstyle(i) ':'')'])
	end
    %Display the grid area
    plot([oppcorn(1) oppcorn(3) oppcorn(3) oppcorn(1) oppcorn(1)],...
    [oppcorn(2) oppcorn(2) oppcorn(4) oppcorn(4) oppcorn(2)],'r:')
	%Scale the plots to all be roughly the same
	as=1.5;
	if (oppcorn(1)<-0.1)|(oppcorn(3)>0.1)
        plot([oppcorn(1)*as oppcorn(3)*as],[oppcorn(4)*as oppcorn(4)*as],'.WHITE')
        plot([oppcorn(1)*as oppcorn(3)*as],[-.06 -.06],'.WHITE')
	else
        plot([-0.1 0.1],[oppcorn(4)*as oppcorn(4)*as],'.WHITE')
        plot([-0.1 0.1],[-.06 -.06],'.WHITE')
	end
	axis equal
end
th=90-th;
title(['Leg Angle Intersection (Mean Ang=' num2str(th(2)) ';Intersection Dist=' num2str(d(2)) ')'])
xlabel('X (m)'), ylabel('Y (m)')
fprintf(['(Mean Angle,Intersection Dist) = (' num2str(th(2)) ',' num2str(d(2)) ')\n'])
fprintf(['Leg Angles [F M R] = [' num2str(th(1)) ' ' num2str(th(2)) ' ' num2str(th(3)) ']\n']);

