%LA31.M displays the effective intersection point based on input leg angles
% Input: Leg Angles, Leg Lengths (for display of possible interference)
d=[.1 .1 .1];
th=[0 25 40];
legbasex=[.045 0 -.045];
legbasey=[0 0 0];
leglength=.1;
pstyle='bgc';
repeat=0;
while repeat~=2
    th=90-th;
    %Display results
    legtopendx=leglength/2*cos(th*pi/180)+legbasex;
    legtopendy=leglength/2*sin(th*pi/180)+legbasey;
    legbotendx=-leglength/2*cos(th*pi/180)+legbasex;
    legbotendy=-leglength/2*sin(th*pi/180)+legbasey;
    pastintersectx=1.5*d.*cos(th*pi/180)+legbasex;
    pastintersecty=1.5*d.*sin(th*pi/180)+legbasey;
    figure, hold on
    plot(legbasex,legbasey,'o')
    plot(legtopendx,legtopendy,'o')
    plot(legbotendx,legbotendy,'o')
    plot([-.06 .06 .06 -.06 -.06],[-.01 -.01 .01 .01 -.01],'k')
    m=(legtopendx-legbotendx)./(legtopendy-legbotendy);
%    xaxisint=x-m.*y;
    legsets=[1 2;1 3;2 3];
    for i=1:3
        eval(['plot([legbotendx(' num2str(i) ') legtopendx(' num2str(i) ')],[legbotendy(' num2str(i) ') legtopendy(' num2str(i) ')],''' pstyle(i) ''')'])
        eval(['plot([legtopendx(' num2str(i) ') pastintersectx(' num2str(i) ')],[legtopendy(' num2str(i) ') pastintersecty(' num2str(i) ')],''' pstyle(i) ':'')'])
        yint(i)=-(legbasex(legsets(i,1))-legbasex(legsets(i,2)))/(m(legsets(i,1))-m(legsets(i,2)));
        xint(i)=m(legsets(i,1))*yint(i)+legbasex(legsets(i,1));
%        plot(xint(i),yint(i),'rx')
    end
    %Find center of intersection points
    centintx=mean(xint);
    centinty=mean(yint);
    plot(centintx,centinty,'ro');
    axis equal
    th=90-th;
    effd=sqrt((legbasex(2)-centintx)^2+(legbasey(2)-centinty)^2);
    effang=atan((legbasex(2)-centintx)/(legbasey(2)-centinty))/pi*180;
    clear m xint yint centintx centinty
    title(['Leg Angles [F=' num2str(th(1)) ';M=' num2str(th(2))  ';R=' num2str(th(3)) ']'...
            ' [Eff d=' num2str(effd) '; Eff ang=' num2str(effang) ']'])
    xlabel('X (m)'), ylabel('Y (m)')
    fprintf(['Leg Angles [F M R] = [' num2str(th(1)) ' ' num2str(th(2)) ' ' num2str(th(3)) ']\n']);
    %Add in net force vector
    nx=1.5*mean(d)*sin(pi/180*mean(th));
    ny=1.5*mean(d)*cos(pi/180*mean(th));
    h=quiver([0],[0],[nx],[ny]);
    set(h,'LineWidth',2,'Color','red');
    repeat=menu('Repeat','Yes','No');
    if repeat==1
        lselect=0;
        while lselect~=3
            lselect=menu('Select the item to change','Leg Angles','Leg Lengths','None');
            switch(lselect)
                case 1
                    fprintf(['The current leg angles : [' num2str(th(1)) ' ' num2str(th(2)) ' ' num2str(th(3)) ']\n'])
                    th=input('Enter the leg angles   : ');
                case 2
                    fprintf(['The current leg lengths : [' num2str(d(1)) ' ' num2str(d(2)) ' ' num2str(d(3)) ']\n'])
                    d=input('Enter the leg lengths   : ');
            end
        end
    end
end
if (menu('Close All','Yes','No')==1)
    close all
end
clear d i th legbasex legbasey legtopendx legtopendy legbotendx legbotendy pstyle pastintersectx pastintersecty repeat leglength lselect
clear effd effang
