%LA32.M displays the effective intersection point mapping for a isometric
% sweep of 40deg by 1deg increments
% Default: [0 25 40], 40deg range
%NOTE: Use 0/22.76/40 in la31.m to get cont plot here. comment out 3 lines
%(figure, mid calculation, plot)
d=[.1 .1 .1];
thbase=[0 25 40];
thrange=(0:1:40);
legbasex=[.045 0 -.045];
legbasey=[0 0 0];
leglength=.1;
pstyle='bgc';
legtopendx=leglength/2*cos(thbase*pi/180)+legbasex;
legtopendy=leglength/2*sin(thbase*pi/180)+legbasey;
legbotendx=-leglength/2*cos(thbase*pi/180)+legbasex;
legbotendy=-leglength/2*sin(thbase*pi/180)+legbasey;
%figure, hold on
plot(legbasex,legbasey,'o')
%plot(legtopendx,legtopendy,'o')
%plot(legbotendx,legbotendy,'o')
plot([-.06 .06 .06 -.06 -.06],[-.01 -.01 .01 .01 -.01],'k')
title(['Leg Angles Iso-Ips [' num2str(thrange(1)) ' to ' num2str(thrange(length(thrange))) 'deg change]'])
xlabel('X (m)'), ylabel('Y (m)')
text(-.06,-.02,'(Points are locations of 3 leg intersection)')
repeat=1;
while repeat<=length(thrange)
    th=90-thbase+thrange(repeat);
%    th(2)=(th(1)+th(3))/2;   %for sprawl angle and mean angle based LA
    %Display results
    legtopendx=leglength/2*cos(th*pi/180)+legbasex;
    legtopendy=leglength/2*sin(th*pi/180)+legbasey;
    legbotendx=-leglength/2*cos(th*pi/180)+legbasex;
    legbotendy=-leglength/2*sin(th*pi/180)+legbasey;
    pastintersectx=1.5*d.*cos(th*pi/180)+legbasex;
    pastintersecty=1.5*d.*sin(th*pi/180)+legbasey;
    m=(legtopendx-legbotendx)./(legtopendy-legbotendy);
    legsets=[1 2;1 3;2 3];
    for i=1:3
%        eval(['plot([legbotendx(' num2str(i) ') legtopendx(' num2str(i) ')],[legbotendy(' num2str(i) ') legtopendy(' num2str(i) ')],''' pstyle(i) ''')'])
%        eval(['plot([legtopendx(' num2str(i) ') pastintersectx(' num2str(i) ')],[legtopendy(' num2str(i) ') pastintersecty(' num2str(i) ')],''' pstyle(i) ':'')'])
        yint(i)=-(legbasex(legsets(i,1))-legbasex(legsets(i,2)))/(m(legsets(i,1))-m(legsets(i,2)));
        xint(i)=m(legsets(i,1))*yint(i)+legbasex(legsets(i,1));
    end
    %Find center of intersection points
    centintx=mean(xint);
    centinty=mean(yint);
    plot(centintx,centinty,'r.');
%    plot(xint(2),yint(2),'r.');     %for sprawl angle and mean angle based LA
    clear m xint yint centintx centinty
    th=90-thbase+thrange(repeat);
%    fprintf(['Leg Angles [F M R] = [' num2str(thbase(1)-thrange(repeat)) ' ' num2str(thbase(2)-thrange(repeat)) ' ' num2str(thbase(3)-thrange(repeat)) ']\n']);
    repeat=repeat+1;
end
axis equal
% if (menu('Close All','Yes','No')==1)
%     close all
% end
clear d i th legbasex legbasey legtopendx legtopendy legbotendx legbotendy pstyle pastintersectx pastintersecty repeat leglength lselect

