%GENSPRAWL will read in "straight" setting files for the Sprawlettes and
%determine the settings required for the grid test, defined by the legang
%variable.  The settings *.SPR files will be created

ticks=256;
deg=180;
tpd=ticks/deg;
[sname spath]=uigetfile('*.spr','Select the "straight" settings file');
[dname dpath]=uigetfile('*.spr','Select the DEFAULT settings file');
if exist('legang')~=1
    [lname lpath]=uigetfile('*.mat','Select the LegAngle data file');
    eval(['load ' lname])
end
eval(['fid=fopen(''' sname ''',''r'');'])
temp=fread(fid);
fclose(fid);
%Read in the settings for STRAIGHT
LAt(1,1)=str2num(char(temp(57:59)'));   %Leg#0-LF down
LAt(2,1)=str2num(char(temp(65:67)'));   %Leg#2-LM
LAt(3,1)=str2num(char(temp(73:75)'));   %Leg#4-LR
LAt(1,2)=str2num(char(temp(61:63)'));   %Leg#1-RF up
LAt(2,2)=str2num(char(temp(69:71)'));   %Leg#3-RM
LAt(3,2)=str2num(char(temp(77:79)'));   %Leg#5-RR

%Set the RIGHT side for DEFAULT [0 25 40]
defang=[0 25 40];
newLAt(1,2)=LAt(1,2)+defang(1)*tpd;
newLAt(2,2)=LAt(2,2)+defang(2)*tpd;
newLAt(3,2)=LAt(3,2)+defang(3)*tpd;

for i=1:size(legang,1)
    %Set the LEFT side for grid testing
    %i=1;
    newLAt(1,1)=LAt(1,1)-legang(i,1)*tpd;
    newLAt(2,1)=LAt(2,1)-legang(i,2)*tpd;
    newLAt(3,1)=LAt(3,1)-legang(i,3)*tpd;
    
    %Get the other DEFAULT settings
    eval(['fid=fopen(''' dname ''',''r'');'])
    temp=fread(fid);
    fclose(fid);
    
    %Save the new GRID TEST settings
    eval(['fid=fopen(''g' num2str(i,'%03d') '.spr'',''w'');'])
    fprintf(fid,char(temp(1:55)));
    for j=1:3
        fprintf(fid,[' ' num2str(round(newLAt(j,1)),'%03d')]);
        fprintf(fid,[' ' num2str(round(newLAt(j,2)),'%03d')]);
    end
    fprintf(fid,char(temp(80:131)));
    fclose(fid);
    fprintf(['''g' num2str(i,'%03d') ''' has been saved.\n'])
end

clear ticks deg tpd sname spath dname dpath LAt newLAt i j temp defang fid lname lpath