%GRIDMAP will determine Leg Angles for intersection points thoughout a user defined grid
% Input: Plot ot not (0=no,ANYOTHER=yes)
% Output: Leg Angles, (MeanAngle, IntDist), Grid Coords
function [LegAng,gridcoords,MAID]=gridmap(ps)
if nargin==0
    ps=1;
end
d=[.1 .1 .1];
legbasex=[.045 0 -.045];
legbasey=[0 0 0];
leglength=.1;
figure, hold on
plot(legbasex,legbasey,'o')
plot([-.06 .06 .06 -.06 -.06],[-.01 -.01 .01 .01 -.01],'k')
plot([-.1 .1],[.1 .1],'.WHITE')
axis equal
quiver([0 0],[0 0],[.01 0],[0 .009],'r');
grid on
title(['Grid Diagram'])
oppcorn=input('Enter the opposite corners of the grid [x1 y1 x2 y2] : ');
plot([oppcorn(1) oppcorn(3) oppcorn(3) oppcorn(1) oppcorn(1)],...
    [oppcorn(2) oppcorn(2) oppcorn(4) oppcorn(4) oppcorn(2)],'r:')
nrows=input('Enter the number of rows : ');
ncols=input('Enter the number of cols : ');
rstep=(oppcorn(3)-oppcorn(1))/(nrows-1);
for i=1:nrows-2
    rtemp=oppcorn(1)+i*rstep;
    plot([rtemp rtemp],[oppcorn(2) oppcorn(4)],'r:')
end
cstep=(oppcorn(4)-oppcorn(2))/(ncols-1);
for i=1:ncols-2
    ctemp=oppcorn(2)+i*cstep;
    plot([oppcorn(1) oppcorn(3)],[ctemp ctemp],'r:')
end
for i=0:nrows-1
    for j=0:ncols-1
        gridcoords(i*ncols+j+1,:)=[i*ncols+j+1 oppcorn(1)+i*rstep oppcorn(2)+j*cstep];  % Grid Points
        plot(oppcorn(1)+i*rstep,oppcorn(2)+j*cstep,'go')
        MAID(i*ncols+j+1,1)=180/pi*atan((oppcorn(1)+i*rstep)/(oppcorn(2)+j*cstep));     % Mean Angle (MA)
        MAID(i*ncols+j+1,2)=sqrt((oppcorn(1)+i*rstep)^2+(oppcorn(2)+j*cstep)^2);        % Intersection Distance (ID)
    end
end
%pause
grid off

%pause
for i=1:nrows*ncols
    LegAng(i,:)=la2a(MAID(i,:),oppcorn,ps);
end

clear i j d legbasex legbasey leglength 
clear rstep rtemp cstep ctemp ncols nrows oppcorn
